SoLineWidthElement(3)

NAME
SoLineWidthElement - The SoLineWidthElement class changes the line width setting of the render state.

SYNOPSIS

#include <Inventor/elements/SoLineWidthElement.h>

Inherits SoFloatElement.

Inherited by SoGLLineWidthElement.

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const float lineWidth)
static void set (SoState *const state, const float lineWidth)
static float get (SoState *const state)
static float getDefault ()

  Protected Member Functions
virtual ~SoLineWidthElement ()

  Additional Inherited Members

Detailed Description

The SoLineWidthElement class changes the line width setting of the render state. Requests from the scene graph to change the line width when rendering line primitives will be made through this element, which forwards it to the appropriate native call in the underlying rendering library.

Subsequent nodes rendering line primitives will use the width setting (for instance SoLineSet nodes).

Constructor & Destructor Documentation

  SoLineWidthElement::~SoLineWidthElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoLineWidthElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoLineWidthElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoLineWidthElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoLineWidthElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoLineWidthElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is 0.0.

Reimplemented from SoFloatElement.

Reimplemented in SoGLLineWidthElement.

  void SoLineWidthElement::set (SoState *const state, SoNode *const node, const float lineWidth) [static]
Set up the current state's lineWidth value.

  void SoLineWidthElement::set (SoState *const state, const float lineWidth) [static]
Set up the current state's lineWidth value.

  float SoLineWidthElement::get (SoState *const state) [static]
Returns the current line width value.

  float SoLineWidthElement::getDefault (void) [static]
Returns the default line width value if no value has been set explicitly.

Author

Generated automatically by Doxygen for Coin from the source code.